is_base_of.hpp File Reference

Check if a class is derived from an other class. More...

Go to the source code of this file.

## Classes

struct | claw::meta::is_base_of< Base, Derived >
| This predicate tells if a class is derived from an other class. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::meta
| Structures for meta-programmation.

## Detailed Description

Check if a class is derived from an other class.

Author
  Julien Jorge

Definition in file is_base_of.hpp.